/*
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 */

package vkc.db.entities;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;

import vkc.db.entities.VKCCategory;
import vkc.db.entities.VKCDocument;
import vkc.db.entities.VKCGroup;
import vkc.db.entities.VKCSearchQuery;
import vkc.db.entities.VKCUser;

public class VKCMigrationObjects {
    private HashSet<VKCUser> migrationUsers = null;
    private HashSet<VKCGroup> migrationGroups = null;
    private HashSet<VKCCategory> migrationCategories = null;
    private HashSet<VKCDocument> migrationDocuments = null;
    private HashMap<Integer, VKCSearchQuery> migrationCategoryQueries = null;
    private List<VKCSearchQuery> migrationUserQueries = null;

    public VKCMigrationObjects() {
        migrationUsers = new HashSet<VKCUser>();
        migrationGroups = new HashSet<VKCGroup>();
        migrationCategories = new HashSet<VKCCategory>();
        migrationDocuments = new HashSet<VKCDocument>();
        migrationCategoryQueries = new HashMap<Integer, VKCSearchQuery>();
        migrationUserQueries = new ArrayList<VKCSearchQuery>();
    }

    public HashSet<VKCCategory> getMigrationCategories() {
        return migrationCategories;
    }

    public void setMigrationCategories(HashSet<VKCCategory> migrationCategories) {
        this.migrationCategories = migrationCategories;
    }

    public HashSet<VKCDocument> getMigrationDocuments() {
        return migrationDocuments;
    }

    public void setMigrationDocuments(HashSet<VKCDocument> migrationDocuments) {
        this.migrationDocuments = migrationDocuments;
    }

    public HashSet<VKCGroup> getMigrationGroups() {
        return migrationGroups;
    }

    public void setMigrationGroups(HashSet<VKCGroup> migrationGroups) {
        this.migrationGroups = migrationGroups;
    }

    public HashSet<VKCUser> getMigrationUsers() {
        return migrationUsers;
    }

    public void setMigrationUsers(HashSet<VKCUser> migrationUsers) {
        this.migrationUsers = migrationUsers;
    }

    public HashMap<Integer, VKCSearchQuery> getMigrationCategoryQueries() {
        return migrationCategoryQueries;
    }

    public void setMigrationCategoryQueries(HashMap<Integer, VKCSearchQuery> categoryQueries) {
        this.migrationCategoryQueries = categoryQueries;
    }

    public List<VKCSearchQuery> getMigrationUserQueries() {
        return migrationUserQueries;
    }

    public void setMigrationUserQueries(List<VKCSearchQuery> migrationUserQueries) {
        this.migrationUserQueries = migrationUserQueries;
    }

}